﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartNoiseDataDemo.Models
{

    public class DataPointObservableCollection : ObservableCollection<DataPoint>
    {
        private bool _NotificationSupressed = false;
        private bool _SupressNotification = false;
        public bool SupressNotification
        {
            get
            {
                return _SupressNotification;
            }
            set
            {
                _SupressNotification = value;
                if (_SupressNotification == false && _NotificationSupressed)
                {
                    this.OnCollectionChanged(new NotifyCollectionChangedEventArgs(NotifyCollectionChangedAction.Reset));
                    _NotificationSupressed = false;
                }
            }
        }

        protected override void OnCollectionChanged(NotifyCollectionChangedEventArgs e)
        {
            if (SupressNotification)
            {
                _NotificationSupressed = true;
                return;
            }
            base.OnCollectionChanged(e);
        }

    }



}
